function Car(image, make, model, description, price, category, year, mileage, extras) {
	this.image = image;
	this.make = make;
	this.model = model;
	this.description = description;
	this.price = price;
	this.category = category;
	this.year = year;
	this.mileage = mileage;
	this.extras = extras;
}

Car.prototype.generateImage = function(elt)
{
	let img = document.createElement("img");
	img.setAttribute("src",this.image);
	img.setAttribute("class","car-img-top");
	img.setAttribute("alt",this.make);
	elt.appendChild(img);
}

Car.prototype.generateExtras = function (elt) {
    const ul = document.createElement("ul");

    this.extras.forEach(extra => {
        const li = document.createElement("li");
        li.textContent = `${extra.name} - ${extra.price} €`;
        ul.appendChild(li);
    });

    elt.appendChild(ul);
};

Car.prototype.toggleExtrasVisibility = function () {
    const extrasElement = document.getElementById("body-car-" + index);
    const isHidden = extrasElement.style.display === "none" || getComputedStyle(extrasElement).display === "none";

    if (isHidden) {
        extrasElement.style.display = "block";
    } else {
        extrasElement.style.display = "none";
    }
};
